#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1473\r"; sleep 2;
echo -e "write (0,1) -1425\r"; sleep 2;
echo -e "write (0,2) -1320\r"; sleep 2;
echo -e "write (0,3) -1144\r"; sleep 2;
echo -e "write (0,4) -1218\r"; sleep 2;
echo -e "write (0,5) -1388\r"; sleep 2;
echo -e "write (0,6) -1268\r"; sleep 2;
echo -e "write (0,9) -1237\r"; sleep 2;
echo -e "write (0,10) -1225\r"; sleep 2;
echo -e "write (0,11) -1236\r"; sleep 2;
echo -e "write (0,12) -1311\r"; sleep 2;
echo -e "write (0,13) -1278\r"; sleep 2;
echo -e "write (0,14) -1419\r"; sleep 2;
echo -e "write (1,0) -1173\r"; sleep 2;
echo -e "write (1,1) -1308\r"; sleep 2;
echo -e "write (1,2) -1428\r"; sleep 2;
echo -e "write (1,3) -1258\r"; sleep 2;
echo -e "write (1,4) -1402\r"; sleep 2;
echo -e "write (1,5) -1419\r"; sleep 2;
echo -e "write (1,6) -1349\r"; sleep 2;
echo -e "write (1,9) -1375\r"; sleep 2;
echo -e "write (1,10) -1242\r"; sleep 2;
echo -e "write (1,11) -1275\r"; sleep 2;
echo -e "write (1,12) -1245\r"; sleep 2;
echo -e "write (1,13) -1322\r"; sleep 2;
echo -e "write (1,14) -1482\r"; sleep 2;
echo -e "write (2,0) -1190\r"; sleep 2;
echo -e "write (2,1) -1325\r"; sleep 2;
echo -e "write (2,2) -1400\r"; sleep 2;
echo -e "write (2,3) -1199\r"; sleep 2;
echo -e "write (2,4) -1511\r"; sleep 2;
echo -e "write (2,5) -1254\r"; sleep 2;
echo -e "write (2,6) -1582\r"; sleep 2;
echo -e "write (2,9) -1231\r"; sleep 2;
echo -e "write (2,10) -1301\r"; sleep 2;
echo -e "write (2,11) -1424\r"; sleep 2;
echo -e "write (2,12) -1271\r"; sleep 2;
echo -e "write (2,13) -1435\r"; sleep 2;
echo -e "write (2,14) -1248\r"; sleep 2;
echo -e "write (3,0) -1347\r"; sleep 2;
echo -e "write (3,1) -1292\r"; sleep 2;
echo -e "write (3,2) -1356\r"; sleep 2;
echo -e "write (3,3) -1271\r"; sleep 2;
echo -e "write (3,4) -1226\r"; sleep 2;
echo -e "write (3,5) -1398\r"; sleep 2;
echo -e "write (3,6) -1264\r"; sleep 2;
echo -e "write (3,9) -1463\r"; sleep 2;
echo -e "write (3,10) -1292\r"; sleep 2;
echo -e "write (3,11) -1310\r"; sleep 2;
echo -e "write (3,12) -1235\r"; sleep 2;
echo -e "write (3,13) -1383\r"; sleep 2;
echo -e "write (3,14) -1206\r"; sleep 2;
echo -e "write (4,0) -1331\r"; sleep 2;
echo -e "write (4,1) -1272\r"; sleep 2;
echo -e "write (4,2) -1258\r"; sleep 2;
echo -e "write (4,3) -1334\r"; sleep 2;
echo -e "write (4,4) -1194\r"; sleep 2;
echo -e "write (4,5) -1272\r"; sleep 2;
echo -e "write (4,6) -1276\r"; sleep 2;
echo -e "write (4,9) -1332\r"; sleep 2;
echo -e "write (4,10) -1469\r"; sleep 2;
echo -e "write (4,11) -1379\r"; sleep 2;
echo -e "write (4,12) -1216\r"; sleep 2;
echo -e "write (4,13) -1600\r"; sleep 2;
echo -e "write (4,14) -1600\r"; sleep 2;
echo -e "write (5,0) -1600\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1600\r"; sleep 2;
echo -e "write (5,3) -1595\r"; sleep 2;
echo -e "write (5,4) -1600\r"; sleep 2;
echo -e "write (5,5) -1567\r"; sleep 2;
echo -e "write (5,6) -1572\r"; sleep 2;
echo -e "write (5,9) -1600\r"; sleep 2;
echo -e "write (5,10) -1509\r"; sleep 2;
echo -e "write (5,11) -1307\r"; sleep 2;
echo -e "write (5,12) -1131\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1472\r"; sleep 2;
echo -e "write (6,0) -1498\r"; sleep 2;
echo -e "write (6,1) -1459\r"; sleep 2;
echo -e "write (6,2) -1600\r"; sleep 2;
echo -e "write (6,3) -1421\r"; sleep 2;
echo -e "write (6,4) -1422\r"; sleep 2;
echo -e "write (6,5) -1389\r"; sleep 2;
echo -e "write (6,6) -1592\r"; sleep 2;
echo -e "write (6,9) -1617\r"; sleep 2;
echo -e "write (6,10) -1571\r"; sleep 2;
echo -e "write (6,11) -1617\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1573\r"; sleep 2;
echo -e "write (6,14) -1406\r"; sleep 2;
echo -e "write (7,0) -1255\r"; sleep 2;
echo -e "write (7,1) -1461\r"; sleep 2;
echo -e "write (7,3) -1374\r"; sleep 2;
echo -e "write (7,4) -1421\r"; sleep 2;
echo -e "write (7,5) -1422\r"; sleep 2;
echo -e "write (7,6) -1609\r"; sleep 2;
echo -e "write (7,8) -1468\r"; sleep 2;
echo -e "write (7,9) -1472\r"; sleep 2;
echo -e "write (7,10) -1401\r"; sleep 2;
echo -e "write (7,11) -1545\r"; sleep 2;
echo -e "write (7,12) -1510\r"; sleep 2;
echo -e "write (7,13) -1461\r"; sleep 2;
echo -e "write (7,14) -1486\r"; sleep 2;
echo -e "write (8,0) -1336\r"; sleep 2;
echo -e "write (8,1) -1423\r"; sleep 2;
echo -e "write (8,2) -1293\r"; sleep 2;
echo -e "write (8,3) -1230\r"; sleep 2;
echo -e "write (8,4) -1277\r"; sleep 2;
echo -e "write (8,5) -1253\r"; sleep 2;
echo -e "write (8,6) -1426\r"; sleep 2;
echo -e "write (8,9) -1236\r"; sleep 2;
echo -e "write (8,10) -1354\r"; sleep 2;
echo -e "write (8,11) -1293\r"; sleep 2;
echo -e "write (8,12) -1369\r"; sleep 2;
echo -e "write (8,13) -1288\r"; sleep 2;
echo -e "write (8,14) -1217\r"; sleep 2;
echo -e "write (9,0) -1234\r"; sleep 2;
echo -e "write (9,1) -1240\r"; sleep 2;
echo -e "write (9,2) -1381\r"; sleep 2;
echo -e "write (9,3) -1436\r"; sleep 2;
echo -e "write (9,4) -1223\r"; sleep 2;
echo -e "write (9,5) -1465\r"; sleep 2;
echo -e "write (9,6) -1528\r"; sleep 2;
echo -e "write (9,9) -1451\r"; sleep 2;
echo -e "write (9,10) -1356\r"; sleep 2;
echo -e "write (9,11) -1495\r"; sleep 2;
echo -e "write (9,12) -1323\r"; sleep 2;
echo -e "write (9,13) -1429\r"; sleep 2;
echo -e "write (9,14) -1368\r"; sleep 2;
echo -e "write (10,0) -1328\r"; sleep 2;
echo -e "write (10,1) -1269\r"; sleep 2;
echo -e "write (10,2) -1145\r"; sleep 2;
echo -e "write (10,3) -1381\r"; sleep 2;
echo -e "write (10,4) -1151\r"; sleep 2;
echo -e "write (10,5) -1245\r"; sleep 2;
echo -e "write (10,6) -1323\r"; sleep 2;
echo -e "write (10,9) -1270\r"; sleep 2;
echo -e "write (10,10) -1600\r"; sleep 2;
echo -e "write (10,11) -1453\r"; sleep 2;
echo -e "write (10,12) -1214\r"; sleep 2;
echo -e "write (10,13) -1285\r"; sleep 2;
echo -e "write (10,14) -1385\r"; sleep 2;
echo -e "write (11,0) -1203\r"; sleep 2;
echo -e "write (11,1) -1350\r"; sleep 2;
echo -e "write (11,2) -1600\r"; sleep 2;
echo -e "write (11,4) -1396\r"; sleep 2;
echo -e "write (11,5) -1409\r"; sleep 2;
echo -e "write (11,6) -1697\r"; sleep 2;
echo -e "write (11,9) -1258\r"; sleep 2;
echo -e "write (11,10) -1327\r"; sleep 2;
echo -e "write (11,11) -1477\r"; sleep 2;
echo -e "write (11,12) -1193\r"; sleep 2;
echo -e "write (11,13) -1403\r"; sleep 2;
echo -e "write (11,14) -1389\r"; sleep 2;
echo -e "write (11,15) -1466\r"; sleep 2;
echo -e "write (12,1) -1284\r"; sleep 2;
echo -e "write (12,2) -1247\r"; sleep 2;
echo -e "write (12,3) -1253\r"; sleep 2;
echo -e "write (12,4) -1300\r"; sleep 2;
echo -e "write (12,5) -1238\r"; sleep 2;
echo -e "write (12,8) -1265\r"; sleep 2;
echo -e "write (12,9) -1242\r"; sleep 2;
echo -e "write (12,10) -1321\r"; sleep 2;
echo -e "write (12,11) -1435\r"; sleep 2;
echo -e "write (12,12) -1480\r"; sleep 2;
echo -e "write (12,13) -1447\r"; sleep 2;
echo -e "write (12,14) -1393\r"; sleep 2;
echo -e "write (12,15) -1457\r"; sleep 2;
echo -e "write (13,0) -1479\r"; sleep 2;
echo -e "write (13,1) -1461\r"; sleep 2;
echo -e "write (13,2) -1562\r"; sleep 2;
echo -e "write (13,3) -1391\r"; sleep 2;
echo -e "write (13,4) -1284\r"; sleep 2;
echo -e "write (13,5) -1443\r"; sleep 2;
echo -e "write (13,6) -1543\r"; sleep 2;
echo -e "write (13,9) -1479\r"; sleep 2;
echo -e "write (13,10) -1410\r"; sleep 2;
echo -e "write (13,11) -1402\r"; sleep 2;
echo -e "write (13,12) -1339\r"; sleep 2;
echo -e "write (13,13) -1361\r"; sleep 2;
echo -e "write (13,14) -1452\r"; sleep 2;
echo -e "write (14,0) -1422\r"; sleep 2;
echo -e "write (14,1) -1556\r"; sleep 2;
echo -e "write (14,2) -1642\r"; sleep 2;
echo -e "write (14,3) -1365\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1516\r"; sleep 2;
echo -e "write (14,6) -1473\r"; sleep 2;
echo -e "write (14,9) -1690\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1377\r"; sleep 2;
echo -e "write (14,12) -1568\r"; sleep 2;
echo -e "write (14,13) -1486\r"; sleep 2;
echo -e "write (14,14) -1311\r"; sleep 2;
echo -e "write (15,0) -1471\r"; sleep 2;
echo -e "write (15,1) -1418\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../log/fms_hvon_7007_$t.tex
echo Set new HV
cat ../log/fms_hvon_7007_$t.tex
